package com.yeejoin.amos.maintenance.dao.entity;

import javax.persistence.*;


/**
 * 任务图片
 * 
 */
@Entity
@Table(name="p_task_picture")
@NamedQuery(name="TaskPicture.findAll", query="SELECT t FROM TaskPicture t")
public class TaskPicture extends BasicEntity {
	private static final long serialVersionUID = 1L;

	@Column(name="feedback_id")
	private long feedbackId; // 回复ID

	@Column(name="org_code")
	private String orgCode; // 组织编码

	@Lob
	@Column(name="photo_data")
	private String photoData; // 照片

	@Column(name="task_id")
	private long taskId; // 任务ID

	public TaskPicture() {
	}

	public long getFeedbackId() {
		return this.feedbackId;
	}

	public void setFeedbackId(long feedbackId) {
		this.feedbackId = feedbackId;
	}

	public String getOrgCode() {
		return this.orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPhotoData() {
		return this.photoData;
	}

	public void setPhotoData(String photoData) {
		this.photoData = photoData;
	}

	public long getTaskId() {
		return this.taskId;
	}

	public void setTaskId(long taskId) {
		this.taskId = taskId;
	}

}